UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

取消
显示结果 
搜索替代 
您的意思是: 
281 次查看
注册日期: ‎05-14-2018

petalinux 2018.2 编译问题

hi 

目前使用petalinux2018.2 build总是会报warning,尝试按照ug1144把所有必要package都安装完备了,还是报如下错误,请问有办法解决吗?

谢谢1.PNG

0 项奖励
4 条回复4
Moderator
Moderator
263 次查看
注册日期: ‎05-23-2018

回复: petalinux 2018.2 编译问题

Hi, @baronwang13146688 

您的recipe file中有没有添加libpcap的依赖?

-------------------------------------------------------------------------------------------------
Don’t forget to reply, kudo, and accept as solution.
-------------------------------------------------------------------------------------------------
如果提供的信息能解决您的问题,请标记为“接受为解决方案”。
如果您认为帖子有帮助,请点击“奖励”。谢谢!
-------------------------------------------------------------------------------------------------
0 项奖励
Xilinx Employee
Xilinx Employee
217 次查看
注册日期: ‎09-14-2018

回复: petalinux 2018.2 编译问题

hi @baronwang13146688 

1. 除了这个warning外编译能成功吗?

2. 如果编译不成功,可以按照下面流程重新安装下依赖,这个是我们一直在用的。供参考。

sudo apt-get update

# Otherwise some of the lib/tools following can't be found on apt-get

 

sudo apt-get install -y python tofrodos iproute2 gawk xvfb gcc git net-tools libncurses5-dev tftpd zlib1g-dev libssl-dev flex bison libselinux1 gnupg wget diffstat chrpath socat xterm autoconf libtool tar unzip texinfo zlib1g-dev gcc-multilib build-essential libsdl1.2-dev libglib2.0-dev

#Some of the library can't be found with the name listed on UG1144

 

sudo apt-get install zlib1g:i386

# If you don't install this one, some warning would be found when source the PetaLinux settings

 

sudo apt-get install screen

# This is a work-around found for can't open "petalinux-config -c kernel" menu window

 

----------------------------------------------------------------------------------------------
如果提供的信息能解决您的问题,请标记为“接受为解决方案”。
如果您认为帖子有帮助,请点击“奖励”。谢谢!
----------------------------------------------------------------------------------------------

0 项奖励
192 次查看
注册日期: ‎05-14-2018

回复: petalinux 2018.2 编译问题

在配置rootfs时候,已经选中了libcap
0 项奖励
191 次查看
注册日期: ‎05-14-2018

回复: petalinux 2018.2 编译问题

hi
1、可以build成功,但不知道这个warning严重吗?是否影响功能
2、好的,我们试试,谢谢
0 项奖励